Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518222 - [OSP14] Remove ceilometerclient from OSP
Summary: [OSP14] Remove ceilometerclient from OSP
Keywords:
Status: POST
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 13.0 (Queens)
Hardware: All
OS: Linux
medium
medium
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Pradeep Kilambi
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 12:55 UTC by Alfredo Moralejo
Modified: 2019-04-09 18:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10719 None rpm-master: MERGED openstack/congress-distgit: Remove python-ceilometerclient from requirements. (I496984ffebbe3caec64a7ab7ba0b5af4cd6ffcac... 2018-01-10 20:04:30 UTC
RDO 10720 None master: MERGED rdoinfo: Pin ceilometerclient to last commit in queens tag (I849841b5c683a4b9bb9b6f917582daf9d2a96cbb) 2018-01-10 20:04:24 UTC
RDO 10726 None rpm-master: NEW openstack/aodh-distgit: Remove ceilometerclient requires (Ic0b0b6136ba2cd7ad6fb1d5c0526333c07ceb319) 2018-01-10 20:04:17 UTC
RDO 11284 None rpm-master: NEW openstack/heat-distgit: Drop python-ceilometerclient requirement (I8e24145fb5565e1ddb0a306cbba28c2623609a33) 2018-01-10 20:04:10 UTC
RDO 11285 None rpm-master: NEW openstack/mistral-distgit: Drop ceilometerclient requirement (Iddd55e87d0a8f549feafad65b7c9703e2e9416b8) 2018-01-10 20:04:04 UTC
OpenStack gerrit 522183 None master: MERGED python-ceilometerclient: Retire ceilometerclient (I65738a55db82053643f7580eee20b63df52b957f) 2018-01-10 20:03:58 UTC
OpenStack gerrit 522185 None master: MERGED openstack-infra/project-config: Remove ceilometerclient from infra (Idf1c9d6053058e89987744d5478f87346f5dd13d) 2018-01-10 20:03:51 UTC
OpenStack gerrit 522186 None master: MERGED governance: Retired ceilometerclient (Ibf844aa741b28001ef0d2f841f6137cb28259595) 2018-01-10 20:03:44 UTC
OpenStack gerrit 525065 None master: MERGED ceilometer: remove ceilometerclient (I73587e194341670951b7edb321d86af4f256cb27) 2018-01-10 20:03:38 UTC
OpenStack gerrit 526246 None master: NEW aodh: update requirement (Iefe3a1c8877ae828e0fef4b1ccb399d78be733d5) 2018-01-10 20:03:32 UTC
OpenStack gerrit 532610 None master: NEW mistral: Remove ceilometer actions from mistral (Ica2b835a885b9b4705996f91080afc12587bd314) 2018-01-10 20:03:26 UTC
OpenStack gerrit 532617 None master: NEW heat: Drop ceilometerclient requirement (I5267746e63fd27ad0ce8e36fb843efd4988d6eb7) 2018-01-10 20:03:20 UTC

Description Alfredo Moralejo 2017-11-28 12:55:55 UTC
Description of problem:

ceilometerclient has been removed upstream in https://review.openstack.org/#/c/522183/ so it must be removed it from RDO and OSP.

Work to remove it from RDO is still ongoing. See https://review.rdoproject.org/r/#/q/topic:remove-ceilometerclient

Comment 1 Mike Burns 2017-11-29 13:47:28 UTC
Moving this to Telemetry.  This will need release notes, etc which ReleaseDelivery cannot provide.  

Jon, can you make sure we're removing the package from puddles when you get to it?

Comment 4 Jon Schlueter 2018-01-10 19:10:53 UTC
Quick search shows the following still in OSP 13

openstack-rally/openstack-rally.spec:69:Requires:         python-ceilometerclient                           
openstack-aodh/openstack-aodh.spec:98:Requires:         python-ceilometerclient >= 1.5.0                    
openstack-aodh/openstack-aodh.spec:121:BuildRequires:    python-ceilometerclient                            
openstack-mistral/openstack-mistral.spec:90:Requires:       python-ceilometerclient >= 2.5.0                
openstack-heat/openstack-heat.spec:92:BuildRequires: python-ceilometerclient                                
openstack-heat/openstack-heat.spec:263:Requires: python-ceilometerclient >= 2.5.0

Comment 6 Pradeep Kilambi 2018-01-12 14:39:58 UTC
Since we still have various projects using ceilometerclient as a direct dependency upstream and in rdo, I think we should continue to ship older version of python-ceilometerclient in OSP13 and look into dropping the requirement for OSP14 instead after all the code is removed accordingly.


Note You need to log in before you can comment on or make changes to this bug.